<!--
 * @Title: 
 * @Description: 巡检遗留问题关闭操作
 * @Author: swp
 * @Date: 2022-08-24 10:49:21
 * @LastEditors: 
 * @LastEditTime: 2022-08-24 10:49:21
-->
<template>
	<view class="container">
		<uni-nav-bar dark :fixed="true" backgroundColor="#3F9EFF" statusBar="false" left-icon="left" left-text="返回"
			@clickLeft="toBack">
			<view class="nav-title">
				<text>{{title}}</text>
			</view>
		</uni-nav-bar>
		<uni-forms ref="baseForm">
			<uni-card title="处理意见" :is-shadow="false">
				<uni-easyinput type="textarea" v-model="remainQuestionResolution" placeholder="请输入处理意见" />
			</uni-card>
		</uni-forms>
		<view class="footer">
			<view class="control">
				<view style="display: flex;flex-direction: row;justify-content: flex-start;">
					<view
						style="display:flex;flex-direction: row;justify-content: center;width: 90px;height:28px;margin-right: 10px;border-radius:7px;background-color:lightpink"
						@click="toSubmit()">
						<view style="display:flex;flex-direction: column;justify-content: center;">
							<uni-icons class="input-uni-icon" type="location" size="18" color="#999" />
						</view>
						<view style="display:flex;flex-direction: column;justify-content: center;padding-left:5px;">
							<text style="color:black;font-size:0.6rem">立即提交</text>
						</view>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import http from '@/http/api.js';
	import {
		pathToBase64,
		base64ToPath
	} from '@/js_sdk/mmmm-image-tools/index.js';
	import {
		oss,
		devUrl,
		prodUrl
	} from '@/common/setting';

	export default {
		components: {
		},
		onLoad(options) {
			this.id = options.id;
		},
		data() {
			return {
				title: '巡检遗留问题关闭处理',
				id: '',
				remainQuestionResolution: '',
			}
		},
		computed: {

		},
		onShow() {},
		created() {},
		methods: {
			toBack() {
				uni.navigateBack({
					delta: 1
				})
			},
			toSubmit() {
				let formdata = {};
				formdata['id'] = Number(this.id);
				formdata['remainQuestionResolution'] = this.remainQuestionResolution;
				console.log(JSON.stringify(formdata))
				http.request({
					url: '/galaxy-business/equipment/inspection/report/remainingproblems/close',
					method: 'POST',
					data: formdata
				}).then(res => {
					if (res.success) {
						uni.showModal({
							content: '关闭操作已提交',
							showCancel: false,
							success(res) {
								uni.navigateBack();
							}
						});
					} else {
						uni.showModal({
							content: '' + res.msg,
							showCancel: false
						});
					}
				}).catch(err => {
					console.log(err)
				})
			},
			formReset: function(e) {
				console.log('清空数据')
			},
		}
	}
</script>

<style>
	/* page {
		background-color: rgb(240, 242, 244);
	} */
</style>

<style lang="scss" scoped>

	.footer {
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
		z-index: 1;
		height: 100rpx;
		padding: 20rpx;
		box-sizing: border-box;
		display: flex;
		align-items: center;
		justify-content: flex-end;
		background-color: #ffffff;

		.ipt {
			width: 380rpx;
			height: 77rpx;
			background: #f7f7f7;
			border-radius: 38px;
			padding: 0 37rpx;
			box-sizing: border-box;
			margin-right: 20rpx;
		}

		.control {
			flex: 1;
			display: flex;
			align-items: center;
			justify-content: flex-end;

			.block {
				display: flex;
				align-items: center;
				justify-content: center;
				flex: 1;
			}

			.icon {
				height: auto;
			}

			.c {
				width: 41rpx;
				margin-right: 10rpx;
			}

			.s {
				width: 36rpx;
			}

			.t {
				width: 31rpx;
			}
		}
	}

	
</style>
